#pragma once
#include <d3d11.h>

class dx_pipeline_loader {
public:
    bool load(const char* vertex_shader_name, const char* pixel_shader_name);
    void use() const;

    ID3D11VertexShader* vertex_shader = nullptr;
    ID3D11PixelShader* pixel_shader = nullptr;
    ID3D11InputLayout* input_layout = nullptr;
};
